mdl = 'trebuchet';
N = 20;
in = repmat(Simulink.SimulationInput(mdl),N,1);
launchAngle = linspace(0,60,N);
for i = 1:N
    in(i) = in(i).setVariable('finang',launchAngle(i),'workspace',mdl);
end
% parpool(4);  % If you want to simulate in parallel with 4 workers    
out = parsim(in,'ShowSimulationManager','on','UseFastRestart','on');

figure(1);
clf;
h = axes;
h.DataAspectRatio = [1 1 1];
for i = 1:length(out)
    x = out(i).logsout.get('x').Values.Data;
    y = out(i).logsout.get('y').Values.Data;
    plot(h,x,y);
    axis equal
    axis([-1 11 0 5]);
    pause(0.5);
    hold on
end
